****************************************************************************************************************
* Se pretende con este procedimiento, exportar cualquier base de datos .DBF a una hoja de Excel
* Este procedimiento no tiene ninguna garantia.
* Este procedimiento se puede usar por cualquier persona que asi lo desee sin que esto represente costo alguno
* Este procedimiento es libre.
* Se aceptan sugerencias.
* Gracias HMG.
* desarrollado por: Carlos RD, 6 de Marzo de 2013.
****************************************************************************************************************

#include "hmg.ch"
#include "hfcl.ch"

procedure export_to_excel()
  select a											// se selecciona la base de datos a exportar
  go top
  noCols:=fcount()
  
  oExcel := CreateObject( "Excel.Application" )		// abre excel
  oExcel:WorkBooks:Add()							// agrega una hoja en blanco
  oHoja := oExcel:ActiveSheet()						// se le asigna nombre a la hoja
  oHoja:Cells:Font:Name := "Arial"					// se asigna tipo de letra a la hoja. Se puede cambiar al gusto usuario
  oHoja:Cells:Font:Size := 10						// se le asigna tamao de letra. Se puede cambiar al gusto del usuario

  i=1
  do while i<=noCols								// se escribe en la primera fila los nombres de los campos de la base de datos
    oHoja:Cells(1,i):Value:=fieldname(i)
    i++
  enddo
  oHoja:Rows( 1 ):Font:Bold := .T.                 // se pone en negritas los nombres de los campos
  k=2												// control de lineas en la hoja de excel
  do while .not. eof()								// se inicia la lectura del dbf para pasar los datos a la hoja de excel
    i=1												// control de columnas en la hoja de excel
    do while i<=noCols								// se escriben los datos en cada file columna por columna
      oHoja:Cells(k,i):Value:=fieldget(i)			
      i++											
    enddo
	k++
    skip
  enddo

  oExcel:Visible := .T.								// se hace visible la hoja de excel.
return